<?php
/*
* 2017 AxonVIP
*
* NOTICE OF LICENSE
*
*  @author AxonVIP <axonvip@gmail.com>
*  @copyright  2017 axonvip.com
*   
*/

require_once(_PS_MODULE_DIR_.'nrtsociallogin/libraries/http.php');
require_once(_PS_MODULE_DIR_.'nrtsociallogin/libraries/oauth_client.php');

class NrtSocialLoginAmazonModuleFrontController extends ModuleFrontController
{
	public function initContent()
	{
		parent::initContent();
		
		$desktop = 0;
		
		if(isset($_COOKIE['cookieSw']) && (int)$_COOKIE['cookieSw'] > 1199){
			$desktop = 1;
		}

		if(isset($_COOKIE['cookieSr'])){
			$back = $_COOKIE['cookieSr'];
		}else{
			$back = $back;
		}

		$platform = Tools::getValue('type');
				
		if ($platform == 'amazon')
			$user_data = $this->amazonLogin();

		if (empty($user_data))
			$user_data = $this->amazonLogin();

		if (count((array)$user_data) > 0)
		{
			$name = explode(' ', $user_data->name);
			$lastname = '';
			$name_size = count($name);
			if (count($name) > 1)
			{
				for ($namelength = 1; $namelength < $name_size; $namelength++)
				{
					if ($lastname == '')
						$lastname = $name[$namelength];
					else
						$lastname = $lastname.' '.$name[$namelength];
				}
			}
			$social_data = array();
			$social_data['first_name'] = $name[0];
			if ($lastname == '')
				$lastname = $name[0];
			$social_data['last_name'] = $lastname;
			$social_data['email'] = $user_data->email;
			$social_data['gender'] = 0;
			$social_data['username'] = $name[0];
			$obj = new NrtSocialLogin();
			$result = $obj->addUser($social_data, 'Amazon');
			if ($result == 1)
			{
				$settings = Configuration::get('NRT_SOCIAL_LOGIN_CONFIG');
				$loginizer_data = unserialize($settings);
				if ($loginizer_data['show_popup'] == 1 && $desktop)
				{
					echo 	'<script type="text/javascript">
								window.opener.document.location.replace("'.$back.'");
								window.close();
							</script>';
				}
				else
				{
					Tools::redirect($back);
				}
			}
			else
				Tools::redirect($this->context->link->getModuleLink('nrtsociallogin', 'error'));
		}
		else
			echo '<script>window.close();</script>';
	}

	public function amazonLogin()
	{
		$settings = Configuration::get('NRT_SOCIAL_LOGIN_CONFIG');
		$loginizer_data = unserialize($settings);
		$user = '';

		$client = new oauth_client_class;
		$client->server = 'Amazon';

		$client->debug = false;
		$client->debug_http = true;
		if (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] == 'on')
			$custom_ssl_var = 1;

		if ((bool)Configuration::get('PS_SSL_ENABLED') && $custom_ssl_var == 1)
			$client->redirect_uri = $this->context->link->getModuleLink('nrtsociallogin', 'amazon', array(), true);
		else
			$client->redirect_uri = $this->context->link->getModuleLink('nrtsociallogin', 'amazon');

		$lang_str = '&id_lang='.$this->context->language->id;
		$client->redirect_uri = str_replace($lang_str, '', $client->redirect_uri);

		$lang_str = '/'.$this->context->language->iso_code.'/';
		$client->redirect_uri = str_replace($lang_str, '/', $client->redirect_uri);

		$client->client_id = $loginizer_data['amazon']['client_id'];
		$client->client_secret = $loginizer_data['amazon']['client_secret'];

		if (Tools::strlen($client->client_id) == 0 || Tools::strlen($client->client_secret) == 0)
				Tools::redirect($this->context->link->getModuleLink('nrtsociallogin', 'credentials'));

		/* API permissions
		*/
		$client->scope = 'profile';
		if (($success = $client->Initialize()))
		{
			if (($success = $client->Process()))
			{
				if (Tools::strlen($client->authorization_error))
				{
					$client->error = $client->authorization_error;
					$success = false;
				}
				elseif (Tools::strlen($client->access_token))
				{
					$success = $client->CallAPI('https://api.amazon.com/user/profile', 'GET', array(), array('FailOnAccessError'=>true), $user);
					return $user;
				}
			}
			$success = $client->Finalize($success);
		}
		if ($client->exit)
			exit;
	}

}
?>
